Mailinglist Archive: opensuse-factory (400 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180106 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180106

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick
MozillaFirefox (57.0.1 -> 57.0.4)
gdm
gnome-contacts
hwdata (0.307 -> 0.308)
libqb (1.0.2 -> 1.0.3+20171226.6d62b64)
libvirt
messagelib
oniguruma (6.5.0 -> 6.7.0)
pcsc-lite (1.8.22 -> 1.8.23)
perl-IPC-Run (0.94 -> 0.96)
perl-SOAP-Lite (1.22 -> 1.26)
python-base
python-setuptools (38.2.4 -> 38.4.0)
python3 (3.6.3 -> 3.6.4)
python3-base (3.6.3 -> 3.6.4)
rdma-core
re2 (20171201 -> 20180101)
scout (0.1.1+20170630.f55550e -> 0.1.1+20180103.0595254)
virt-manager

=== Details ===

==== ImageMagick ====
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI5 libMagickWand-7_Q16HDRI5 perl-PerlMagick

- enable ImageMagick-s390-disable-tests.patch also for ppc, ppc64

==== MozillaFirefox ====
Version update (57.0.1 -> 57.0.4)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 57.0.4
MFSA 2018-1: Speculative execution side-channel attack ("Spectre")
(boo#1074723)
- fixed regression introduced Oct 10th which made Firefox crash
when cancelling the KDE file dialog (boo#1069962)
- Mozilla Firefox 57.0.3:
* Fix a crash reporting issue that inadvertently sends background
tab crash reports to Mozilla without user opt-in (bmo#1427111,
bsc#1074235)
- Includes changes from 57.0.2:
* fixes for platforms other than GNU/Linux

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Add gdm-disable-gnome-initial-setup.patch (sle-only): Force
gnome-initial-setup can't start before gdm, g-i-s will only
serve for CJK people to choose the input-method after login
(bnc#1067976).

==== gnome-contacts ====
Subpackages: gnome-contacts-lang gnome-shell-search-provider-contacts

- Add gnome-contacts-nb-translations.patch: Update Norwegian Bokmål
translations.
- Use autosetup macro.
- Pass with-cheese=true and with-manpage=true to meson, ensure we
build the feature we want.

==== hwdata ====
Version update (0.307 -> 0.308)

- Update to version 0.308:
* Updated pci, usb and vendor ids.

==== libqb ====
Version update (1.0.2 -> 1.0.3+20171226.6d62b64)

- Update to version 1.0.3+20171226.6d62b64:
- build: fix configure script neglecting, re-enable out-of-tree builds
- Update to version 1.0.3
- warnings cleanup: fix initialiser warning
- warnings cleanup: Wformat: sign-correct PRIu32 specifiers as appropriate
- warnings cleanup: Wsign-compare: log_format: int32_t -> size_t
- warnings cleanup: Wsign-compare: hdb: uint32_t <-> int32_t
- warnings cleanup: Wsign-compare: array: int32_t -> size_t
- warnings cleanup: hdb+loop_timerlist: Wsign-compare: (canary?) variables
- warnings cleanup: Wshift-overflow: trigger arithmetic conv. to unsigned
- Upstream version cs: 28dff090c74b6ba8609c4797294a5afe3fe73987 (v1.0.3)
- fix internal object symbol's leak & expose run-time lib version (bsc#1074327)
- bare fix for libqb logging not working with ld.bfd/binutils 2.29+
(bsc#1074327)
- add extra run-time (client, libqb) checks that logging will work (bsc#1074327)
- tests: add a script to generate callsite-heavy logging client... (bsc#1074327)
- tests: new sort of tests dubbed "functional", cover linker vs. logging
(bsc#1074327)
- configure: check section boundary symbols present in the test (bsc#1074327)
- qblog.h: better explanation + behaviour of QB_LOG_INIT_DATA (bsc#1074327)
- log: use fdatasync instead of fsync where possible (#263)
- Upstream version cs: c011b12fcaf093f0463901154c475905f51d783a

==== libvirt ====
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-storage-core libvirt-daemon-driver-storage-disk
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-logical
libvirt-daemon-driver-storage-mpath libvirt-daemon-driver-storage-rbd
libvirt-daemon-driver-storage-scsi libvirt-daemon-driver-uml
libvirt-daemon-driver-vbox libvirt-daemon-lxc libvirt-daemon-qemu
libvirt-daemon-xen libvirt-libs

- Fix apparmor rules for virt-aa-helper (bsc#1074265)
fix-virt-aa-helper-profile.patch
- Lift VirtualBox dependency version to include 5.2.x
- Update upstreamed patches
Removed patches:
* daemon-close-crasher.patch
* lxc-hostname.patch
Added patches:
* 2089ab21-netserver-close-clients-before-stopping-all-drivers.patch
* b475a91b-add-virStringFilterChars-string-utility.patch
* faec1958-lxc-set-hostname-based-on-container-name.patch

==== messagelib ====
Subpackages: messagelib-lang

- Add patch to fix scrolling with Qt >= 5.10 (boo#1074271):
* 0001-Fix-Bug-388440-scrolling-in-KMail-page-down-only-wor.patch

==== oniguruma ====
Version update (6.5.0 -> 6.7.0)

- Version 6.7.0
- add ONIG_SYNTAX_ONIGURUMA (default syntax)
- restructure StackType
- implement subexp calls (?R), (?&name), (?-n), (?+n) for Perl
syntax
- use string pool of gperf for Unicode Property lookup function
- fix an empty greedy regex and a word boundary (.*\b) fails
- remove a stack type STK_POS
- add a declaration of onig_end()
- fix compilation failure in out-of-source build
- [new] hexadecimal codepoint \uHHHH
- Version 6.6.1
- fix definition of \X to (?>\O(?:\Y\O)*)
- Version 6.6.0
- rename Absent clear to Range clear
- [new] Extended Grapheme Cluster \X and boundary \y, \Y
- fix: invalid index(ctype) value assigned to Unicode Block
properties
- --enable-crnl-as-line-terminator to be deprecated
- [new] ASCII only mode options (?WDSP)
- [new] ONIG_OPTION_XXXX_IS_ASCII options
- disable OP_CCLASS_NODE
- [spec] Absent clear restore previous range value at backtrack
- optimize for simple one char repetition in Absent expression
- fix: invalid impl. for reluctant repetition in Absent expression
- remove compile switch USE_NAMED_GROUP
- Visual Studio 2005 compilation fixed
- cleanup with spec-cleaner

==== pcsc-lite ====
Version update (1.8.22 -> 1.8.23)
Subpackages: libpcsclite1

- Updated to version 1.8.23
* use libsystemd instead sd-daemon.{c,h}
* spy: add support SCardStatus() with NULL pcbAtrLen
* Some other minor improvements
- remove --auto-exit from service start even if we have
socket activation in place
(using it as a lightweight approach to unconditional service
enablement (reference boo#1063983 and to help workaround boo#1063985)

==== perl-IPC-Run ====
Version update (0.94 -> 0.96)

- updated to 0.96
- Update bug tracker to https://github.com/toddr/IPC-Run/issues
- includes 0.95
- Spelling fixes
- doc fix: full_result returns $?, not $? >> 8
- Fix check for reaped PID in reap_nb
- Re-remove unnecessary use of UNIVERSAL
- includes 0.94_02
- Skip infinity test on perl below 5.8.9
- includes 0.94_01
- Use q{} and qq{} to fix problems with quotation in cmd.exe
- sync $VERSION across all files to address kwalitee
- RT 109243 - Stop side affect of altering flushing of STDOUT
and STDERR
- CHILD_HANDLE should be closed with 'Close' to prevent a
warning.
- Better timer error message + an additional unit test
- Catching previously non-detected malformed time strings
- Let Timer accept all allowable perl numbers
- allow the OS to choose the ephemeral port to use
- Don't use version.pm to parse the perl version in Makefile.PL
- Do not import POSIX into local namespace (it's a memory hog)
- perltidy
- require Win32API::File on Windows
- cleanup with spec-cleaner
- rebase IPC-Run-0.89-path.diff

==== perl-SOAP-Lite ====
Version update (1.22 -> 1.26)

- Update to 1.26
! typo fix

https://anonscm.debian.org/cgit/pkg-perl/packages/libsoap-lite-perl.git/tree/debian/patches/spelling-error.patch
1.25 December 29, 2017
! Bad usage of UNIVERSAL::isa (See RT#62667)
1.24 December 19, 2017
+ Consistent Versioning https://github.com/redhotpenguin/soaplite/pull/24
! Remove is_utf8() check from 78588
1.23 December 18, 2017
! RT #78588 unicode data not correct encoded

==== python-base ====
Subpackages: libpython2_7-1_0 libpython2_7-1_0-32bit python-devel python-xml

- exclude test_regrtest for s390, where it does not segfault as it should
(fixes bsc#1073269)
- fix segfault while creating weakref - bsc#1073748, bpo#29347
(this is actually fixed by the 2.7.14 update; mentioning this for purposes
of bugfix tracking)

==== python-setuptools ====
Version update (38.2.4 -> 38.4.0)
Subpackages: python2-setuptools python3-setuptools

- specfile:
* update copyright year
- update to version 38.4.0:
* #1231: Removed warning when PYTHONDONTWRITEBYTECODE is enabled.
- changes from version 38.3.0:
* #1210: Add support for PEP 345 Project-URL metadata.
* #1207: Add support for long_description_type to setup.cfg
declarative config as intended and documented.
- update to version 38.2.5:
* #1232: Fix trailing slash handling in pkg_resources.ZipProvider.

==== python3 ====
Version update (3.6.3 -> 3.6.4)
Subpackages: python3-curses python3-dbm python3-tk

- update to 3.6.4
* bugfix release, over a hundred bugs fixed
* see Misc/NEWS for details
- drop upstreamed python3-ncurses-6.0-accessors.patch
- drop PYTHONSTARTUP hooks that cause spurious startup errors
* fixes bsc#1070738
* the relevant feature (REPL history) is now built into Python itself

==== python3-base ====
Version update (3.6.3 -> 3.6.4)
Subpackages: libpython3_6m1_0 python3-idle

- update to 3.6.4
* bugfix release, over a hundred bugs fixed
* see Misc/NEWS for details
- drop upstreamed python3-ncurses-6.0-accessors.patch
- drop PYTHONSTARTUP hooks that cause spurious startup errors
* fixes bsc#1070738
* the relevant feature (REPL history) is now built into Python itself

==== rdma-core ====
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Add srp_daemon-Don-t-create-async_ev_thread-if-only-run-once.patch
to fix bad exit code of ibsrpdm (bsc#1074390)

==== re2 ====
Version update (20171201 -> 20180101)

- Update to version 2018-01-01
* No upstream changelog available
- Add baselibs.conf: create libre2-0-32bit, dependency to
libqt5-qtwebengine-32bit.

==== scout ====
Version update (0.1.1+20170630.f55550e -> 0.1.1+20180103.0595254)
Subpackages: command-not-found

- Update to version 0.1.1+20180103.0595254:
* allow for multiple repos to be in one .repo file
* Parse repo files for repo name (boo#980393)
* Updated translations (Spanish, Norwegian Nynorsk)

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1072012 - openSUSE Tumbleweed, virt-manager: Opening VM GUI
fails with "ordinal not in range" (bart.vanassche+novell@xxxxxxxxx)
- bsc#1074808 - [beta4+maintain update][virt-manager] Error
launching details:'ascii' codec can't decode byte
virtman-python2-to-python3-conversion.patch


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages